Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::OneBodyDerivIntV3 Class Reference

This implements one body derivative integrals in the IntV3 library. More...

`#include <obintv3.h>`

Inheritance diagram for sc::OneBodyDerivIntV3:

[legend]
Collaboration diagram for sc::OneBodyDerivIntV3:

[legend]
List of all members.

## Public Methods

| OneBodyDerivIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
| ~OneBodyDerivIntV3 ()
void | compute_shell (int, int, DerivCenters &)
void | compute_shell (int, int, int)

## Protected Types

typedef void(Int1eV3::* | IntegralFunction )(int, int, int, int)

## Protected Attributes

Ref< Int1eV3 > | int1ev3_
IntegralFunction | intfunc_

## Detailed Description

This implements one body derivative integrals in the IntV3 library.

It is given a function pointer to the Int1eV3 member that computes the particular integral of interest.

The documentation for this class was generated from the following file:

- obintv3.h